Subject: Offline Message from Nouf: I have placed my order since the 4th of April and
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 18 Jun 2020 22:35:48 -0000

From: Nouf <[email-masked]>
Phone: 
Location: Dammam, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/customer/account/index/
Department: 

I have placed my order since the 4th of April and still haven’t received it!!!! If I do not receive it by next week I want a full refund or I will raise a complaint to the emarati ministry of commerce. And I have already raised a complaint with the Saudi ministry of commerce 

----
Zopim
https://www.zopim.com